Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167427 - console chatter: System.out "no file object for ..."
console chatter: System.out "no file object for ..."
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Jancura
issues@editor
67patch1-verified
:
Depends on: 110237
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 18:31 UTC by err
Modified: 2009-07-16 12:27 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description err 2009-06-21 18:31:37 UTC
In
        package org.netbeans.modules.parsing.impl;
        CurrentEditorTaskScheduler 
there is
        if (fileObject == null) {
            System.out.println("no file object for " + document);
            return;
        }

Perhaps this should be a LOG'd event rather than System.out.

This fires frequently with the jVi plugin, producing something like:
        no file object for javax.swing.text.PlainDocument@3c82b2
In particular when a ":" command is entered which brings up a simple dialog with a ComboBox. The ComboBox's
JTextComponent is registered for CodeCompletion and so is in the editor registry. See Issue 166937 and issue 110237.


"AWT-EventQueue-1"
java.io.PrintStream.println(PrintStream.java:738)
org.netbeans.modules.parsing.impl.CurrentEditorTaskScheduler$AListener.propertyChange(CurrentEditorTaskScheduler.java:82)
java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:333)
org.netbeans.api.editor.EditorRegistry.fireEvents(EditorRegistry.java:486)
org.netbeans.api.editor.EditorRegistry.focusGained(EditorRegistry.java:298)
org.netbeans.api.editor.EditorRegistry$FocusL.focusGained(EditorRegistry.java:585)
java.awt.AWTEventMulticaster.focusGained(AWTEventMulticaster.java:162)
java.awt.Component.processFocusEvent(Component.java:5406)
java.awt.Component.processEvent(Component.java:5273)
java.awt.Container.processEvent(Container.java:1966)
java.awt.Component.dispatchEventImpl(Component.java:3984)
java.awt.Container.dispatchEventImpl(Container.java:2024)
java.awt.Component.dispatchEvent(Component.java:3819)
java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1826)
java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:849)
java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:489)
java.awt.Component.dispatchEventImpl(Component.java:3857)
java.awt.Container.dispatchEventImpl(Container.java:2024)
java.awt.Window.dispatchEventImpl(Window.java:1791)
java.awt.Component.dispatchEvent(Component.java:3819)
java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:123)
java.awt.SequencedEvent.dispatch(SequencedEvent.java:93)
java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:123)
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:153)
java.awt.Dialog$1.run(Dialog.java:535)
java.awt.Dialog$2.run(Dialog.java:563)
java.security.AccessController.doPrivileged(AccessController.java)
java.awt.Dialog.show(Dialog.java:561)
java.awt.Component.show(Component.java:1302)
java.awt.Component.setVisible(Component.java:1255)
com.raelity.jvi.swing.WindowCmdEntry.finishActivate(WindowCmdEntry.java:89)
com.raelity.jvi.swing.CommandLine$CommandLineEntry.activate(CommandLine.java:604)
com.raelity.jvi.ViManager.startCommandEntry(ViManager.java:369)
com.raelity.jvi.ColonCommands.doColonCommand(ColonCommands.java:137)
...
Comment 1 Vitezslav Stejskal 2009-06-22 12:00:57 UTC
http://hg.netbeans.org/jet-main/rev/d83a78365e98
Comment 2 Quality Engineering 2009-06-23 07:44:06 UTC
Integrated into 'main-golden', will be available in build *200906230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d83a78365e98
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #167427 - commenting out System.out.println
Comment 3 Petr Blaha 2009-07-02 13:19:36 UTC
v.
Comment 4 pgebauer 2009-07-07 15:35:38 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/b92f9e949f56
Comment 5 pribyl 2009-07-16 12:27:01 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907150227)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

Verified in 6.7.1 RC1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo